Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042178
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2019-11-04 10:502019-12-12 23:01
Reportersalvador_campanellaView Statuspublic 
Assigned Tocberner 
PriorityurgentResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision613cc41c0e8b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042178: When the "add payment" window is loading and the focus is changed of the window a grey screen appears

DescriptionWhen the "add payment" window is loading and the focus is changed of the window a grey screen appears
Steps To Reproduce- Create a new sale order
- Book the order
- After booking the order the button "Add payment" would appear
- Open Chrome dev tools and put the Internet Connection as "Slow 3G"
- Click on the button "Add payment"
- instantly open another window like "sales invoices"
- Wait until the petitions are done in the Network tab of Chrome dev tools
- Return to the sales order window

Result: A grey screen appears and is not possible to use the window
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045165 closedcberner Popups are inaccessible, behind a mask, after long usage without refreshing or logout/login 

-  Notes
(0115494)
hgbot (developer)
2019-11-11 11:13

Repository: erp/devel/pi
Changeset: 613cc41c0e8b294293b991912e803e115ff8504b
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Nov 07 18:32:04 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/613cc41c0e8b294293b991912e803e115ff8504b [^]

Fixes issue 42178: Popup now shows correctly if tab switched on slow network

Popup was hidden behind a mask if switched tabs before popup fully showed,
to fix this, popup is forced to show over mask when created.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0115495)
alostale (developer)
2019-11-11 11:27

reviewed + tested
(0116278)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-11-04 10:50 salvador_campanella New Issue
2019-11-04 10:50 salvador_campanella Assigned To => platform
2019-11-04 10:50 salvador_campanella Modules => Core
2019-11-04 10:50 salvador_campanella Triggers an Emergency Pack => No
2019-11-04 11:25 rafaroda Issue Monitored: rafaroda
2019-11-05 15:43 AugustoMauch Assigned To platform => cberner
2019-11-07 16:29 alostale Status new => scheduled
2019-11-07 16:30 alostale Priority normal => urgent
2019-11-11 10:28 alostale Review Assigned To => alostale
2019-11-11 11:13 hgbot Checkin
2019-11-11 11:13 hgbot Note Added: 0115494
2019-11-11 11:13 hgbot Status scheduled => resolved
2019-11-11 11:13 hgbot Resolution open => fixed
2019-11-11 11:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/613cc41c0e8b294293b991912e803e115ff8504b [^]
2019-11-11 11:27 alostale Note Added: 0115495
2019-11-11 11:27 alostale Status resolved => closed
2019-11-11 11:27 alostale Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116278
2020-10-01 07:17 alostale Relationship added related to 0045165


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker